API referenceScenes
Frame facts for up to 10 scenes
POST /scenes/{id}/frame-report for each scene at the given scene-clock seconds (per scene, or a shared times).
POST /scenes/{id}/frame-report for each scene at the given scene-clock seconds (per scene, or a shared times). Free.
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/scenes/previews" \ -H "Content-Type: application/json" \ -d '{ "scenes": [ { "scene_id": "string" } ] }'{
"data": {}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}